petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPPIPEFGMRES

Implements the Pipelined Generalized Minimal Residual method. A Flexible, 1-stage pipelined variant of GMRES Many br

This variant is not "explicitly normalized" like PGMRES, and requires a shift parameter. Many br

A heuristic for choosing the shift parameter is the largest eigenvalue of the preconditioned operator. Many br

Only right preconditioning is supported (but this preconditioner may be nonlinear, as with FGMRES) Many br

### Options Database Keys

| -ksp_gmres_restart <restart> | - the number of Krylov directions to orthogonalize against Many br
| -ksp_gmres_haptol <tol> | - sets the tolerance for "happy ending" (exact convergence) Many br
| -ksp_gmres_preallocate | - preallocate all the Krylov search directions initially (otherwise groups of Many br
| -ksp_pipefgmres_shift | - the shift to use (defaults to 1. See KSPPIPEFGMRESSetShift() Many brvectors are allocated as needed) Many br
| -ksp_gmres_krylov_monitor | - plot the Krylov space generated Many br

Many br

### Notes

MPI configuration may be necessary for reductions to make asynchronous progress, which is important for performance of pipelined methods. Many brSee the FAQ on the PETSc website for details. Many br

Developer Notes: This object is subclassed off of KSPGMRES Many br

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP, KSPLGMRES, KSPPIPECG, KSPPIPECR, KSPPGMRES, KSPFGMRES
KSPGMRESSetRestart(), KSPGMRESSetHapTol(), KSPGMRESSetPreAllocateVectors(), KSPGMRESMonitorKrylov(), KSPPIPEGMRESSetShift() Many br

Level:beginner
Location:src/ksp/ksp/impls/gmres/pipefgmres/pipefgmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages